3 Replies Latest reply: Dec 4, 2012 9:45 AM by Hilary-Oracle RSS

    WWV_FLOW_WIZARD_API Invalid (Patch #14850374)

    975525
      Hello there,

      We installed the 14850374 Patch and now the WWV_FLOW_WIZARD_API is invalid :

      Line: 780 Column: 26 Error: PLS-00103: Encountered the symbol ""
      Line: 3028 Column: 53 Error: PLS-00103: Encountered the symbol ""

      Apex 4.2.0.00.28, Oracle Database 10g Enterprise Edition Release 10.2.0.5.0 - 64bit

      Regards,
      Lucien
        • 1. Re: WWV_FLOW_WIZARD_API Invalid (Patch #14850374)
          Hilary-Oracle
          Hi Lucien,

          Thanks for reporting this issue. I'm not able to reproduce the issue on my own instance, but I've an 11g instance. We'll investigate this issue, and endeavour to resolve the reported issue with the patch as soon as possible. Apologies for the inconvenience.


          As a temporary workaround, would you mind recompiling the original 4.2 version of wizapi.plb, as follows:

          *1)* Edit the catpatch.sql script contained in the downloaded patch zipfile.
          *2)* At line 34, you'll need to replace the reference to @@wizapi.plb with a reference to the original version in your 4.2 install, including the full path e.g.

          From :
          @@wizapi.plb
          To:
          @C:\apex_4.2\apex\core\wizapi.plb
          where C:\apex_4.2\apex\core\ would obviously need to be replaced with the path to wizapi.plb in your own 4.2 install.

          *3)* Save the changes to catpatch.sql, and execute the script. Hopefully this should at least allow you to proceed with the use of your instance until a revised patch can be made available on My Oracle Support.

          Regards,
          Hilary
          • 2. Re: WWV_FLOW_WIZARD_API Invalid (Patch #14850374)
            975525
            Hi Hilary,

            Thank you for the quick reply, this solved our problem.

            Regards,
            Lucien
            • 3. Re: WWV_FLOW_WIZARD_API Invalid (Patch #14850374)
              Hilary-Oracle
              Hi Lucien,

              Apologies for the delay in updating this thread, but a revised PSE, *14792686*, is available for download on My Oracle Support. You'll note that this PSE is a different number to the original one you referenced - the fix for the issue logged by bug 14850374 is contained in the new PSE 14792686.

              Apologies for any inconvenience, and hopefully with the revised patch you should no longer experience any compilation issues.

              Regards,
              Hilary